home *** CD-ROM | disk | FTP | other *** search
Text File | 1994-04-26 | 34.0 KB | 1,224 lines |
- #!/bin/sh
- # Guess values for system-dependent variables and create Makefiles.
- # Generated automatically using autoconf version 1.9
- # Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.
-
- # This configure script is free software; you can redistribute it and/or
- # modify it under the terms of the GNU General Public License as published
- # by the Free Software Foundation; either version 2, or (at your option)
- # any later version.
-
- # This script is distributed in the hope that it will be useful, but
- # WITHOUT ANY WARRANTY; without even the implied warranty of
- # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
- # Public License for more details.
-
- # You should have received a copy of the GNU General Public License
- # along with this program; if not, write to the Free Software
- # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-
- # Save the original args to write them into config.status later.
- configure_args="$*"
-
- # Only options that might do something get documented.
- ac_usage="Usage: configure [options] [host]
- Options: [defaults in brackets after descriptions]
- --build=BUILD configure for building on BUILD [BUILD=HOST]
- --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
- --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
- --exec-prefix=PREFIX install host dependent files in PREFIX [/usr/local]
- --help print this message
- --host=HOST configure for HOST [guessed]
- --prefix=PREFIX install host independent files in PREFIX [/usr/local]
- --quiet, --silent do not print \`checking for...' messages
- --srcdir=DIR find the sources in DIR [configure dir or ..]
- --target=TARGET configure for TARGET [TARGET=HOST]
- --verbose print results of checks
- --version print the version of autoconf that created configure
- --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
- --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
- --x-includes=DIR X include files are in DIR
- --x-libraries=DIR X library files are in DIR"
-
- # Initialize some variables set by options.
- # The variables have the same names as the options, with
- # dashes changed to underlines.
- build=NONE
- exec_prefix=
- host=NONE
- no_create=
- nonopt=NONE
- norecursion=
- prefix=
- program_prefix=
- program_suffix=
- program_transform_name=
- silent=
- srcdir=
- target=NONE
- verbose=
- x_includes=
- x_libraries=
-
- ac_prev=
- for ac_option
- do
-
- # If the previous option needs an argument, assign it.
- if test -n "$ac_prev"; then
- eval "$ac_prev=\$ac_option"
- ac_prev=
- continue
- fi
-
- # Accept (but ignore some of) the important Cygnus configure
- # options, so we can diagnose typos.
-
- case "$ac_option" in
- -*=*) ac_optarg=`/bin/echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
- *) ac_optarg= ;;
- esac
-
- case "$ac_option" in
-
- -build | --build | --buil | --bui | --bu | --b)
- ac_prev=build ;;
- -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
- build="$ac_optarg" ;;
-
- -disable-* | --disable-*)
- ac_feature=`/bin/echo $ac_option|sed -e 's/-*disable-//'`
- # Reject names that aren't valid shell variable names.
- if test -n "`/bin/echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
- /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
- fi
- ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
- eval "enable_${ac_feature}=no" ;;
-
- -enable-* | --enable-*)
- ac_feature=`/bin/echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
- # Reject names that aren't valid shell variable names.
- if test -n "`/bin/echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
- /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
- fi
- ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
- case "$ac_option" in
- *=*) ;;
- *) ac_optarg=yes ;;
- esac
- eval "enable_${ac_feature}='$ac_optarg'" ;;
-
- # For backward compatibility, recognize -exec-prefix and --exec_prefix.
- -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
- | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
- | --exec | --exe | --ex)
- ac_prev=exec_prefix ;;
- -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
- | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
- | --exec=* | --exe=* | --ex=*)
- exec_prefix="$ac_optarg" ;;
-
- -gas | --gas | --ga | --g)
- with_gas=yes ;; # Obsolete; use --with-gas.
-
- -help | --help | --hel | --he)
- cat << EOF
- $ac_usage
- EOF
- exit 0 ;;
-
- -host | --host | --hos | --ho)
- ac_prev=host ;;
- -host=* | --host=* | --hos=* | --ho=*)
- host="$ac_optarg" ;;
-
- -nfp | --nfp | --nf)
- with_fp=no ;; # Obsolete; use --without-fp.
-
- -no-create | --no-create | --no-creat | --no-crea | --no-cre \
- | --no-cr | --no-c)
- no_create=yes ;;
-
- -norecursion | --norecursion | --norecursio | --norecursi \
- | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
- norecursion=yes ;;
-
- -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
- ac_prev=prefix ;;
- -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
- prefix="$ac_optarg" ;;
-
- -program-prefix | --program-prefix | --program-prefi | --program-pref \
- | --program-pre | --program-pr | --program-p)
- ac_prev=program_prefix ;;
- -program-prefix=* | --program-prefix=* | --program-prefi=* \
- | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
- program_prefix="$ac_optarg" ;;
-
- -program-suffix | --program-suffix | --program-suffi | --program-suff \
- | --program-suf | --program-su | --program-s)
- ac_prev=program_suffix ;;
- -program-suffix=* | --program-suffix=* | --program-suffi=* \
- | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
- program_suffix="$ac_optarg" ;;
-
- -program-transform-name | --program-transform-name \
- | --program-transform-nam | --program-transform-na \
- | --program-transform-n | --program-transform- \
- | --program-transform | --program-transfor \
- | --program-transfo | --program-transf \
- | --program-trans | --program-tran \
- | --progr-tra | --program-tr | --program-t)
- ac_prev=program_transform_name ;;
- -program-transform-name=* | --program-transform-name=* \
- | --program-transform-nam=* | --program-transform-na=* \
- | --program-transform-n=* | --program-transform-=* \
- | --program-transform=* | --program-transfor=* \
- | --program-transfo=* | --program-transf=* \
- | --program-trans=* | --program-tran=* \
- | --progr-tra=* | --program-tr=* | --program-t=*)
- program_transform_name="$ac_optarg" ;;
-
- -q | -quiet | --quiet | --quie | --qui | --qu | --q \
- | -silent | --silent | --silen | --sile | --sil)
- silent=yes ;;
-
- -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
- ac_prev=srcdir ;;
- -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
- srcdir="$ac_optarg" ;;
-
- -target | --target | --targe | --targ | --tar | --ta | --t)
- ac_prev=target ;;
- -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
- target="$ac_optarg" ;;
-
- -v | -verbose | --verbose | --verbos | --verbo | --verb)
- verbose=yes ;;
-
- -version | --version | --versio | --versi | --vers)
- /bin/echo "configure generated by autoconf version 1.9"
- exit 0 ;;
-
- -with-* | --with-*)
- ac_package=`/bin/echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
- # Reject names that aren't valid shell variable names.
- if test -n "`/bin/echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
- /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
- fi
- ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
- case "$ac_option" in
- *=*) ;;
- *) ac_optarg=yes ;;
- esac
- eval "with_${ac_package}='$ac_optarg'" ;;
-
- -without-* | --without-*)
- ac_package=`/bin/echo $ac_option|sed -e 's/-*without-//'`
- # Reject names that aren't valid shell variable names.
- if test -n "`/bin/echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
- /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
- fi
- ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
- eval "with_${ac_package}=no" ;;
-
- --x) with_x=yes ;; # Obsolete; use --with-x.
-
- -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
- | --x-incl | --x-inc | --x-in | --x-i)
- ac_prev=x_includes ;;
- -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
- | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
- x_includes="$ac_optarg" ;;
-
- -x-libraries | --x-libraries | --x-librarie | --x-librari \
- | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
- ac_prev=x_libraries ;;
- -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
- | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
- x_libraries="$ac_optarg" ;;
-
- -*) /bin/echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
- ;;
-
- *)
- if test -n "`/bin/echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
- /bin/echo "configure: warning: $ac_option: invalid host type" >&2
- fi
- if test "x$nonopt" != xNONE; then
- /bin/echo "configure: can only configure for one host and one target at a time" >&2; exit 1
- fi
- nonopt="$ac_option"
- ;;
-
- esac
- done
-
- if test -n "$ac_prev"; then
- /bin/echo "configure: missing argument to --`/bin/echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
- fi
-
- trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
- trap 'rm -fr confdefs* $ac_clean_files' 0
-
- # Save the original args if we used an alternate arg parser.
- ac_configure_temp="${configure_args-$*}"
- # Strip out --no-create and --norecursion so they don't pile up.
- configure_args=
- for ac_arg in $ac_configure_temp; do
- case "$ac_arg" in
- -no-create | --no-create | --no-creat | --no-crea | --no-cre \
- | --no-cr | --no-c) ;;
- -norecursion | --norecursion | --norecursio | --norecursi \
- | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
- *) configure_args="$configure_args $ac_arg" ;;
- esac
- done
-
- # NLS nuisances.
- # These must not be set unconditionally because not all systems understand
- # e.g. LANG=C (notably SCO).
- if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
- if test "${LANG+set}" = 'set'; then LANG=C; export LANG; fi
-
- # confdefs.h avoids OS command line length limits that DEFS can exceed.
- rm -rf conftest* confdefs.h
- # AIX cpp loses on an empty file, so make sure it contains at least a newline.
- /bin/echo > confdefs.h
-
- # A filename unique to this package, relative to the directory that
- # configure is in, which we can look for to find out if srcdir is correct.
- ac_unique_file=texi.texi
-
- # Find the source files, if location was not specified.
- if test -z "$srcdir"; then
- ac_srcdir_defaulted=yes
- # Try the directory containing this script, then `..'.
- ac_prog=$0
- ac_confdir=`/bin/echo $ac_prog|sed 's%/[^/][^/]*$%%'`
- test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
- srcdir=$ac_confdir
- if test ! -r $srcdir/$ac_unique_file; then
- srcdir=..
- fi
- fi
- if test ! -r $srcdir/$ac_unique_file; then
- if test x$ac_srcdir_defaulted = xyes; then
- /bin/echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
- else
- /bin/echo "configure: can not find sources in ${srcdir}" >&2; exit 1
- fi
- fi
- ac_ext=c
- ac_cpp='${CPP} $CFLAGS'
- ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'
-
-
- if test -z "$CC"; then
- # Extract the first word of `gcc', so it can be a program name with args.
- set ac_dummy gcc; ac_word=$2
- test -n "$silent" || /bin/echo "checking for $ac_word"
- IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
- for ac_dir in $PATH; do
- test -z "$ac_dir" && ac_dir=.
- if test -f $ac_dir/$ac_word; then
- CC="gcc"
- break
- fi
- done
- IFS="$ac_save_ifs"
- fi
- test -z "$CC" && CC="cc"
- test -n "$CC" && test -n "$verbose" && /bin/echo " setting CC to $CC"
-
- # Find out if we are using GNU C, under whatever name.
- cat > conftest.c <<EOF
- #ifdef __GNUC__
- yes
- #endif
- EOF
- ${CC-cc} -E conftest.c > conftest.out 2>&1
- if egrep yes conftest.out >/dev/null 2>&1; then
- GCC=1 # For later tests.
- fi
- rm -f conftest*
-
- test -n "$silent" || /bin/echo "checking how to run the C preprocessor"
- if test -z "$CPP"; then
- # This must be in double quotes, not single quotes, because CPP may get
- # substituted into the Makefile and ``${CC-cc}'' will simply confuse
- # make. It must be expanded now.
- CPP="${CC-cc} -E"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <stdio.h>
- Syntax Error
- EOF
- # Some shells (Coherent) do redirections in the wrong order, so need
- # the parens.
- ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- if test -z "$ac_err"; then
- :
- else
- rm -rf conftest*
- CPP="${CC-cc} -E -traditional-cpp"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <stdio.h>
- Syntax Error
- EOF
- # Some shells (Coherent) do redirections in the wrong order, so need
- # the parens.
- ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- if test -z "$ac_err"; then
- :
- else
- rm -rf conftest*
- CPP=/lib/cpp
- fi
- rm -f conftest*
- fi
- rm -f conftest*
- fi
- test -n "$verbose" && /bin/echo " setting CPP to $CPP"
-
- if test -n "$GCC"; then
- test -n "$silent" || /bin/echo "checking whether -traditional is needed"
- ac_pattern="Autoconf.*'x'"
- ac_prog='#include <sgtty.h>
- Autoconf TIOCGETP'
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- $ac_prog
- EOF
- eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- if egrep "$ac_pattern" conftest.out >/dev/null 2>&1; then
- rm -rf conftest*
- ac_need_trad=1
-
- fi
- rm -f conftest*
-
-
- if test -z "$ac_need_trad"; then
- ac_prog='#include <termio.h>
- Autoconf TCGETA'
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- $ac_prog
- EOF
- eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- if egrep "$ac_pattern" conftest.out >/dev/null 2>&1; then
- rm -rf conftest*
- ac_need_trad=1
-
- fi
- rm -f conftest*
-
- fi
- test -n "$ac_need_trad" && CC="$CC -traditional"
- fi
-
- # Make sure to not get the incompatible SysV /etc/install and
- # /usr/sbin/install, which might be in PATH before a BSD-like install,
- # or the SunOS /usr/etc/install directory, or the AIX /bin/install,
- # or the AFS install, which mishandles nonexistent args, or
- # /usr/ucb/install on SVR4, which tries to use the nonexistent group
- # `staff', or /sbin/install on IRIX which has incompatible command-line
- # syntax. Sigh.
- #
- # On most BSDish systems install is in /usr/bin, not /usr/ucb
- # anyway.
- # This turns out not to be true, so the mere pathname isn't an indication
- # of whether the program works. What we really need is a set of tests for
- # the install program to see if it actually works in all the required ways.
- #
- # Avoid using ./install, which might have been erroneously created
- # by make from ./install.sh.
- if test "z${INSTALL}" = "z" ; then
- test -n "$silent" || /bin/echo "checking for a BSD compatible install"
- IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
- for ac_dir in $PATH; do
- case "$ac_dir" in
- ''|.|/gnu/etc|/sbin|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
- *)
- # OSF1 and SCO ODT 3.0 have their own names for install.
- for ac_prog in installbsd scoinst install; do
- if test -f $ac_dir/$ac_prog; then
- if test $ac_prog = install &&
- grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
- # AIX install. It has an incompatible calling convention.
- # OSF/1 installbsd also uses dspmsg, but is usable.
- :
- else
- INSTALL="$ac_dir/$ac_prog -c"
- INSTALL_PROGRAM='${INSTALL}'
- INSTALL_DATA='${INSTALL} -m 644'
- break 2
- fi
- fi
- done
- ;;
- esac
- done
- IFS="$ac_save_ifs"
- fi
- if test -z "$INSTALL"; then
- if test -f ${srcdir}/install.sh; then
- # As a last resort, use the slow shell script.
- INSTALL='@top_srcdir@/install.sh -c'
- else
- /bin/echo "configure: warning: ${srcdir}/install.sh not found; using cp" >&2
- INSTALL=cp
- fi
- fi
- test -n "$verbose" && /bin/echo " setting INSTALL to $INSTALL"
- # Use test -z because SunOS4 sh mishandles ${INSTALL_PROGRAM-'${INSTALL}'}.
- # It thinks the first close brace ends the variable substitution.
- test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
- test -n "$verbose" && /bin/echo " setting INSTALL_PROGRAM to $INSTALL_PROGRAM"
- test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL}'
- test -n "$verbose" && /bin/echo " setting INSTALL_DATA to $INSTALL_DATA"
-
- if test -z "$RANLIB"; then
- # Extract the first word of `ranlib', so it can be a program name with args.
- set ac_dummy ranlib; ac_word=$2
- test -n "$silent" || /bin/echo "checking for $ac_word"
- IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
- for ac_dir in $PATH; do
- test -z "$ac_dir" && ac_dir=.
- if test -f $ac_dir/$ac_word; then
- RANLIB="ranlib"
- break
- fi
- done
- IFS="$ac_save_ifs"
- fi
- test -z "$RANLIB" && RANLIB=":"
- test -n "$RANLIB" && test -n "$verbose" && /bin/echo " setting RANLIB to $RANLIB"
-
- test -n "$silent" || /bin/echo "checking for POSIXized ISC"
- if test -d /gnu/etc/conf/kconfig.d &&
- grep _POSIX_VERSION /gnu/include/sys/unistd.h >/dev/null 2>&1
- then
- ISC=1 # If later tests want to check for ISC.
-
- {
- test -n "$verbose" && \
- /bin/echo " defining _POSIX_SOURCE"
- /bin/echo "#define" _POSIX_SOURCE "1" >> confdefs.h
- DEFS="$DEFS -D_POSIX_SOURCE=1"
- }
-
- if test -n "$GCC"; then
- CC="$CC -posix"
- else
- CC="$CC -Xp"
- fi
- fi
-
- test -n "$silent" || /bin/echo "checking for minix/config.h"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <minix/config.h>
- EOF
- # Some shells (Coherent) do redirections in the wrong order, so need
- # the parens.
- ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- if test -z "$ac_err"; then
- rm -rf conftest*
- MINIX=1
-
- fi
- rm -f conftest*
-
- # The Minix shell can't assign to the same variable on the same line!
- if test -n "$MINIX"; then
-
- {
- test -n "$verbose" && \
- /bin/echo " defining _POSIX_SOURCE"
- /bin/echo "#define" _POSIX_SOURCE "1" >> confdefs.h
- DEFS="$DEFS -D_POSIX_SOURCE=1"
- }
-
-
- {
- test -n "$verbose" && \
- /bin/echo " defining" _POSIX_1_SOURCE to be "2"
- /bin/echo "#define" _POSIX_1_SOURCE "2" >> confdefs.h
- DEFS="$DEFS -D_POSIX_1_SOURCE=2"
- }
-
-
- {
- test -n "$verbose" && \
- /bin/echo " defining _MINIX"
- /bin/echo "#define" _MINIX "1" >> confdefs.h
- DEFS="$DEFS -D_MINIX=1"
- }
-
- fi
-
- ac_prog='/* Ultrix mips cc rejects this. */
- typedef int charset[2]; const charset x;
- /* SunOS 4.1.1 cc rejects this. */
- char const *const *ccp;
- char **p;
- /* AIX XL C 1.02.0.0 rejects this.
- It does not let you subtract one const X* pointer from another in an arm
- of an if-expression whose if-part is not a constant expression */
- const char *g = "string";
- ccp = &g + (g ? g-g : 0);
- /* HPUX 7.0 cc rejects these. */
- ++ccp;
- p = (char**) ccp;
- ccp = (char const *const *) p;
- { /* SCO 3.2v4 cc rejects this. */
- char *t;
- char const *s = 0 ? (char *) 0 : (char const *) 0;
-
- *t++ = 0;
- }
- { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
- int x[] = {25,17};
- const int *foo = &x[0];
- ++foo;
- }
- { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
- typedef const int *iptr;
- iptr p = 0;
- ++p;
- }
- { /* AIX XL C 1.02.0.0 rejects this saying
- "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
- struct s { int j; const int *ap[3]; };
- struct s *b; b->j = 5;
- }
- { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
- const int foo = 10;
- }'
- test -n "$silent" || /bin/echo "checking for lack of working const"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
-
- int main() { return 0; }
- int t() { $ac_prog; return 0; }
- EOF
- if eval $ac_compile; then
- :
- else
- rm -rf conftest*
-
- {
- test -n "$verbose" && \
- /bin/echo " defining" const to be empty
- /bin/echo "#define" const "" >> confdefs.h
- DEFS="$DEFS -Dconst="
- }
-
- fi
- rm -f conftest*
-
- test -n "$silent" || /bin/echo "checking for ANSI C header files"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <stdlib.h>
- #include <stdarg.h>
- #include <string.h>
- #include <float.h>
- EOF
- # Some shells (Coherent) do redirections in the wrong order, so need
- # the parens.
- ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- if test -z "$ac_err"; then
- rm -rf conftest*
- # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
- /bin/echo '#include "confdefs.h"
- #include <string.h>' > conftest.${ac_ext}
- eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- if egrep "memchr" conftest.out >/dev/null 2>&1; then
- rm -rf conftest*
- # SGI's /bin/cc from Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <ctype.h>
- #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
- #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
- #define XOR(e,f) (((e) && !(f)) || (!(e) && (f)))
- int main () { int i; for (i = 0; i < 256; i++)
- if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
- exit (0); }
-
- EOF
- eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
- /bin/echo '#include "confdefs.h"
- #include <stdlib.h>' > conftest.${ac_ext}
- eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- if egrep "free" conftest.out >/dev/null 2>&1; then
- rm -rf conftest*
-
- {
- test -n "$verbose" && \
- /bin/echo " defining STDC_HEADERS"
- /bin/echo "#define" STDC_HEADERS "1" >> confdefs.h
- DEFS="$DEFS -DSTDC_HEADERS=1"
- }
-
-
- fi
- rm -f conftest*
-
-
- fi
- rm -fr conftest*
-
- fi
- rm -f conftest*
-
-
- fi
- rm -f conftest*
-
- for ac_hdr in unistd.h termio.h string.h varargs.h sys/time.h sys/fcntl.h sys/ttold.h sys/ptem.h
- do
- ac_tr_hdr=HAVE_`/bin/echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
- test -n "$silent" || /bin/echo "checking for ${ac_hdr}"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <${ac_hdr}>
- EOF
- # Some shells (Coherent) do redirections in the wrong order, so need
- # the parens.
- ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
- if test -z "$ac_err"; then
- rm -rf conftest*
-
- {
- test -n "$verbose" && \
- /bin/echo " defining ${ac_tr_hdr}"
- /bin/echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
- DEFS="$DEFS -D${ac_tr_hdr}=1"
- }
-
-
- fi
- rm -f conftest*
- done
-
- for ac_func in setvbuf getcwd bzero rindex vfprintf vsprintf
- do
- ac_tr_func=HAVE_`/bin/echo $ac_func | tr '[a-z]' '[A-Z]'`
- test -n "$silent" || /bin/echo "checking for ${ac_func}"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <ctype.h>
- int main() { return 0; }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_${ac_func}) || defined (__stub___${ac_func})
- choke me
- #else
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char ${ac_func}(); ${ac_func}();
- #endif
- ; return 0; }
- EOF
- if eval $ac_compile; then
- rm -rf conftest*
- {
- test -n "$verbose" && \
- /bin/echo " defining ${ac_tr_func}"
- /bin/echo "#define" ${ac_tr_func} "1" >> confdefs.h
- DEFS="$DEFS -D${ac_tr_func}=1"
- }
-
-
- fi
- rm -f conftest*
- done
-
- test -n "$silent" || /bin/echo "checking for struct tm in time.h"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <sys/types.h>
- #include <time.h>
- int main() { return 0; }
- int t() { struct tm *tp; tp->tm_sec;; return 0; }
- EOF
- if eval $ac_compile; then
- :
- else
- rm -rf conftest*
-
- {
- test -n "$verbose" && \
- /bin/echo " defining TM_IN_SYS_TIME"
- /bin/echo "#define" TM_IN_SYS_TIME "1" >> confdefs.h
- DEFS="$DEFS -DTM_IN_SYS_TIME=1"
- }
-
- fi
- rm -f conftest*
-
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <stdio.h>
- /* If setvbuf has the reversed format, exit 0. */
- main () {
- #ifdef __amigados__
- /* AmigaDOS is a non-reversed system. Instead of the test program
- getting a segfault (no memory protection), it causes enforcer hits
- or other nastiness, so don't run the test program, just exit with
- status 1 to indicate that it is non-reversed. -fnf */
- exit(1);
- #endif
- /* This call has the arguments reversed.
- A reversed system may check and see that the address of main
- is not _IOLBF, _IONBF, or _IOFBF, and return nonzero. */
- if (setvbuf(stdout, _IOLBF, (char *) main, BUFSIZ) != 0)
- exit(1);
- putc('\r', stdout);
- exit(0); /* Non-reversed systems segv here. */
- }
- EOF
- eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
-
- {
- test -n "$verbose" && \
- /bin/echo " defining SETVBUF_REVERSED"
- /bin/echo "#define" SETVBUF_REVERSED "1" >> confdefs.h
- DEFS="$DEFS -DSETVBUF_REVERSED=1"
- }
-
-
- fi
- rm -fr conftest*
- rm -f core
-
- # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
- # for constant arguments. Useless!
- test -n "$silent" || /bin/echo "checking for working alloca.h"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <alloca.h>
- int main() { return 0; }
- int t() { char *p = alloca(2 * sizeof(int));; return 0; }
- EOF
- if eval $ac_compile; then
- rm -rf conftest*
-
- {
- test -n "$verbose" && \
- /bin/echo " defining HAVE_ALLOCA_H"
- /bin/echo "#define" HAVE_ALLOCA_H "1" >> confdefs.h
- DEFS="$DEFS -DHAVE_ALLOCA_H=1"
- }
-
-
- fi
- rm -f conftest*
-
- ac_decl="#ifdef __GNUC__
- #define alloca __builtin_alloca
- #else
- #if HAVE_ALLOCA_H
- #include <alloca.h>
- #else
- #ifdef _AIX
- #pragma alloca
- #else
- char *alloca ();
- #endif
- #endif
- #endif
- "
- test -n "$silent" || /bin/echo "checking for alloca"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- $ac_decl
- int main() { return 0; }
- int t() { char *p = (char *) alloca(1);; return 0; }
- EOF
- if eval $ac_compile; then
- rm -rf conftest*
-
- {
- test -n "$verbose" && \
- /bin/echo " defining HAVE_ALLOCA"
- /bin/echo "#define" HAVE_ALLOCA "1" >> confdefs.h
- DEFS="$DEFS -DHAVE_ALLOCA=1"
- }
-
-
- else
- rm -rf conftest*
- ac_alloca_missing=1
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
-
- #if defined(CRAY) && ! defined(CRAY2)
- winnitude
- #else
- lossage
- #endif
-
- EOF
- eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
- if egrep "winnitude" conftest.out >/dev/null 2>&1; then
- rm -rf conftest*
- test -n "$silent" || /bin/echo "checking for _getb67"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <ctype.h>
- int main() { return 0; }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub__getb67) || defined (__stub____getb67)
- choke me
- #else
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char _getb67(); _getb67();
- #endif
- ; return 0; }
- EOF
- if eval $ac_compile; then
- rm -rf conftest*
- {
- test -n "$verbose" && \
- /bin/echo " defining" CRAY_STACKSEG_END to be "_getb67"
- /bin/echo "#define" CRAY_STACKSEG_END "_getb67" >> confdefs.h
- DEFS="$DEFS -DCRAY_STACKSEG_END=_getb67"
- }
-
-
- else
- rm -rf conftest*
- test -n "$silent" || /bin/echo "checking for GETB67"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <ctype.h>
- int main() { return 0; }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_GETB67) || defined (__stub___GETB67)
- choke me
- #else
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char GETB67(); GETB67();
- #endif
- ; return 0; }
- EOF
- if eval $ac_compile; then
- rm -rf conftest*
- {
- test -n "$verbose" && \
- /bin/echo " defining" CRAY_STACKSEG_END to be "GETB67"
- /bin/echo "#define" CRAY_STACKSEG_END "GETB67" >> confdefs.h
- DEFS="$DEFS -DCRAY_STACKSEG_END=GETB67"
- }
-
-
- else
- rm -rf conftest*
- test -n "$silent" || /bin/echo "checking for getb67"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- #include <ctype.h>
- int main() { return 0; }
- int t() {
- /* The GNU C library defines this for functions which it implements
- to always fail with ENOSYS. Some functions are actually named
- something starting with __ and the normal name is an alias. */
- #if defined (__stub_getb67) || defined (__stub___getb67)
- choke me
- #else
- /* Override any gcc2 internal prototype to avoid an error. */
- extern char getb67(); getb67();
- #endif
- ; return 0; }
- EOF
- if eval $ac_compile; then
- rm -rf conftest*
- {
- test -n "$verbose" && \
- /bin/echo " defining" CRAY_STACKSEG_END to be "getb67"
- /bin/echo "#define" CRAY_STACKSEG_END "getb67" >> confdefs.h
- DEFS="$DEFS -DCRAY_STACKSEG_END=getb67"
- }
-
-
- fi
- rm -f conftest*
-
- fi
- rm -f conftest*
-
- fi
- rm -f conftest*
-
-
- fi
- rm -f conftest*
-
-
- fi
- rm -f conftest*
-
- if test -n "$ac_alloca_missing"; then
- # The SVR3 libPW and SVR4 libucb both contain incompatible functions
- # that cause trouble. Some versions do not even contain alloca or
- # contain a buggy version. If you still want to use their alloca,
- # use ar to extract alloca.o from them instead of compiling alloca.c.
- ALLOCA=alloca.o
-
- {
- test -n "$verbose" && \
- /bin/echo " defining C_ALLOCA"
- /bin/echo "#define" C_ALLOCA "1" >> confdefs.h
- DEFS="$DEFS -DC_ALLOCA=1"
- }
-
-
- test -n "$silent" || /bin/echo "checking stack direction for C alloca"
- test -n "$silent" || /bin/echo "checking whether cross-compiling"
- # If we cannot run a trivial program, we must be cross compiling.
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- main(){exit(0);}
- EOF
- eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
- :
- else
- cross_compiling=1
- fi
- rm -fr conftest*
-
- if test -n "$cross_compiling"
- then
-
- {
- test -n "$verbose" && \
- /bin/echo " defining" STACK_DIRECTION to be "0"
- /bin/echo "#define" STACK_DIRECTION "0" >> confdefs.h
- DEFS="$DEFS -DSTACK_DIRECTION=0"
- }
-
- else
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
- find_stack_direction ()
- {
- static char *addr = 0;
- auto char dummy;
- if (addr == 0)
- {
- addr = &dummy;
- return find_stack_direction ();
- }
- else
- return (&dummy > addr) ? 1 : -1;
- }
- main ()
- {
- exit (find_stack_direction() < 0);
- }
- EOF
- eval $ac_compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
-
- {
- test -n "$verbose" && \
- /bin/echo " defining" STACK_DIRECTION to be "1"
- /bin/echo "#define" STACK_DIRECTION "1" >> confdefs.h
- DEFS="$DEFS -DSTACK_DIRECTION=1"
- }
-
-
- else
-
- {
- test -n "$verbose" && \
- /bin/echo " defining" STACK_DIRECTION to be "-1"
- /bin/echo "#define" STACK_DIRECTION "-1" >> confdefs.h
- DEFS="$DEFS -DSTACK_DIRECTION=-1"
- }
-
- fi
- fi
- rm -fr conftest*
- fi
-
- TERMLIBS=""
- for termlib in termcap terminfo curses termlib ; do
- ac_save_LIBS="${LIBS}"
- LIBS="${LIBS} -l${termlib}"
- ac_have_lib=""
- test -n "$silent" || /bin/echo "checking for -l${termlib}"
- cat > conftest.${ac_ext} <<EOF
- #include "confdefs.h"
-
- int main() { return 0; }
- int t() { main();; return 0; }
- EOF
- if eval $ac_compile; then
- rm -rf conftest*
- ac_have_lib="1"
-
- fi
- rm -f conftest*
- LIBS="${ac_save_LIBS}"
- if test -n "${ac_have_lib}"; then
- :; TERMLIBS="${TERMLIBS} -l${termlib}"
- else
- :;
- fi
-
- case "${TERMLIBS}" in
- *-l${termlib}* ) break ;;
- esac
- done
-
- # Set default prefixes.
- if test -n "$prefix"; then
- test -z "$exec_prefix" && exec_prefix='${prefix}' # Let make expand it.
- ac_prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
- fi
- if test -n "$exec_prefix"; then
- ac_prsub="$ac_prsub
- s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
- fi
- # Any assignment to VPATH causes Sun make to only execute
- # the first set of double-colon rules, so remove it if not needed.
- # If there is a colon in the path, we need to keep it.
- if test "x$srcdir" = x.; then
- ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
- fi
-
- # Quote sed substitution magic chars in DEFS.
- cat >conftest.def <<EOF
- $DEFS
- EOF
- ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
- DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
- rm -f conftest.def
- # Substitute for predefined variables.
-
- trap 'rm -f config.status; exit 1' 1 2 15
- /bin/echo creating config.status
- rm -f config.status
- cat > config.status <<EOF
- #!/bin/sh
- # Generated automatically by configure.
- # Run this file to recreate the current configuration.
- # This directory was configured as follows,
- # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
- #
- # $0 $configure_args
-
- ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
- for ac_option
- do
- case "\$ac_option" in
- -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
- /bin/echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
- exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
- -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
- /bin/echo "config.status generated by autoconf version 1.9"
- exit 0 ;;
- -help | --help | --hel | --he | --h)
- /bin/echo "\$ac_cs_usage"; exit 0 ;;
- *) /bin/echo "\$ac_cs_usage"; exit 1 ;;
- esac
- done
-
- trap 'rm -f Makefile libtxi/Makefile makeinfo/Makefile info/Makefile util/Makefile; exit 1' 1 2 15
- CC='$CC'
- CPP='$CPP'
- INSTALL='$INSTALL'
- INSTALL_PROGRAM='$INSTALL_PROGRAM'
- INSTALL_DATA='$INSTALL_DATA'
- RANLIB='$RANLIB'
- ALLOCA='$ALLOCA'
- TERMLIBS='$TERMLIBS'
- LIBS='$LIBS'
- srcdir='$srcdir'
- top_srcdir='$top_srcdir'
- prefix='$prefix'
- exec_prefix='$exec_prefix'
- DEFS='$DEFS'
- ac_prsub='$ac_prsub'
- ac_vpsub='$ac_vpsub'
- extrasub='$extrasub'
- EOF
- cat >> config.status <<\EOF
-
- ac_given_srcdir=$srcdir
-
- CONFIG_FILES=${CONFIG_FILES-"Makefile libtxi/Makefile makeinfo/Makefile info/Makefile util/Makefile"}
- for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
- # Remove last slash and all that follows it. Not all systems have dirname.
- ac_dir=`/bin/echo $ac_file|sed 's%/[^/][^/]*$%%'`
- if test "$ac_dir" != "$ac_file"; then
- # The file is in a subdirectory.
- test ! -d "$ac_dir" && mkdir "$ac_dir"
- ac_dir_suffix="/$ac_dir"
- else
- ac_dir_suffix=
- fi
-
- # A "../" for each directory in $ac_dir_suffix.
- ac_dots=`/bin/echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
- case "$ac_given_srcdir" in
- .) srcdir=.; top_srcdir="$ac_dots." ;;
- /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
- *) # Relative path.
- srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
- top_srcdir="$ac_dots$ac_given_srcdir" ;;
- esac
-
- /bin/echo creating "$ac_file"
- rm -f "$ac_file"
- comment_str="Generated automatically from `/bin/echo $ac_file|sed 's|.*/||'`.in by configure."
- case "$ac_file" in
- *.c | *.h | *.C | *.cc | *.m ) /bin/echo "/* $comment_str */" > "$ac_file" ;;
- * ) /bin/echo "# $comment_str" > "$ac_file" ;;
- esac
- sed -e "
- $ac_prsub
- $ac_vpsub
- $extrasub
- s%@CC@%$CC%g
- s%@CPP@%$CPP%g
- s%@INSTALL@%$INSTALL%g
- s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
- s%@INSTALL_DATA@%$INSTALL_DATA%g
- s%@RANLIB@%$RANLIB%g
- s%@ALLOCA@%$ALLOCA%g
- s%@TERMLIBS@%$TERMLIBS%g
- s%@LIBS@%$LIBS%g
- s%@srcdir@%$srcdir%g
- s%@top_srcdir@%$top_srcdir%g
- s%@prefix@%$prefix%g
- s%@exec_prefix@%$exec_prefix%g
- s%@DEFS@%$DEFS%
- " $ac_given_srcdir/${ac_file}.in >> $ac_file
- fi; done
-
-
- exit 0
- EOF
- chmod +x config.status
- test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} config.status
-
-